## python-kyotocabinet 1.22

=== Makefile ===
# Makefile for Kyoto Cabinet for Python


PACKAGE = kyotocabinet-python
VERSION = 1.22
PACKAGEDIR = $(PACKAGE)-$(VERSION)
PACKAGETGZ = $(PACKAGE)-$(VERSION).tar.gz

PYTHON = python3
RUNENV = LD_LIBRARY_PATH=.:/lib:/usr/lib:/usr/local/lib:$(HOME)/lib


all :
	$(PYTHON) setup.py build
	cp -f build/*/*.so .
	@printf '\n'
	@printf '#================================================================\n'
	@printf '# Ready to install.\n'
	@printf '#================================================================\n'


clean :
	rm -rf casket casket* *~ *.tmp *.kcss *.so *.pyc build hoge moge tako ika


install :
	$(PYTHON) setup.py install
	@printf '\n'
	@printf '#================================================================\n'
	@printf '# Thanks for using Kyoto Cabinet for Python.\n'
	@printf '#================================================================\n'


uninstall :
	$(PYTHON) setup.py install --record files.tmp
	xargs rm -f < files.tmp


dist :
	$(MAKE) clean
	cd .. && tar cvf - $(PACKAGEDIR) | gzip -c > $(PACKAGETGZ)


check :
	$(MAKE) DBNAME=":" RNUM="10000" check-each
	$(MAKE) DBNAME="*" RNUM="10000" check-each
	$(MAKE) DBNAME="%" RNUM="10000" check-each
	$(MAKE) DBNAME="casket.kch" RNUM="10000" check-each
	$(MAKE) DBNAME="casket.kct" RNUM="10000" check-each
	$(MAKE) DBNAME="casket.kcd" RNUM="1000" check-each
	$(MAKE) DBNAME="casket.kcf" RNUM="10000" check-each
	@printf '\n'
	@printf '#================================================================\n'
	@printf '# Checking completed.\n'
	@printf '#================================================================\n'


check-each :
	rm -rf casket*
	$(RUNENV) $(PYTHON) kctest.py order "$(DBNAME)" "$(RNUM)"
	$(RUNENV) $(PYTHON) kctest.py order -rnd "$(DBNAME)" "$(RNUM)"
	$(RUNENV) $(PYTHON) kctest.py order -etc "$(DBNAME)" "$(RNUM)"
	$(RUNENV) $(PYTHON) kctest.py order -rnd -etc "$(DBNAME)" "$(RNUM)"
	$(RUNENV) $(PYTHON) kctest.py order -th 4 "$(DBNAME)" "$(RNUM)"
	$(RUNENV) $(PYTHON) kctest.py order -th 4 -rnd "$(DBNAME)" "$(RNUM)"
	$(RUNENV) $(PYTHON) kctest.py order -th 4 -etc "$(DBNAME)" "$(RNUM)"
	$(RUNENV) $(PYTHON) kctest.py order -th 4 -rnd -etc "$(DBNAME)" "$(RNUM)"
	$(RUNENV) $(PYTHON) kctest.py order -cc -th 4 -rnd -etc "$(DBNAME)" "$(RNUM)"
	$(RUNENV) $(PYTHON) kctest.py wicked "$(DBNAME)" "$(RNUM)"
	$(RUNENV) $(PYTHON) kctest.py wicked -it 4 "$(DBNAME)" "$(RNUM)"
	$(RUNENV) $(PYTHON) kctest.py wicked -th 4 "$(DBNAME)" "$(RNUM)"
	$(RUNENV) $(PYTHON) kctest.py wicked -th 4 -it 4 "$(DBNAME)" "$(RNUM)"
	$(RUNENV) $(PYTHON) kctest.py wicked -cc -th 4 -it 4 "$(DBNAME)" "$(RNUM)"
	$(RUNENV) $(PYTHON) kctest.py misc "$(DBNAME)"
	rm -rf casket*


check-forever :
	while true ; \
	  do \
	    $(MAKE) check || break ; \
	  done


doc :
	$(MAKE) docclean
	cp -f kyotocabinet-doc.py kyotocabinet.py
	-[ -f kyotocabinet.so ] && mv -f kyotocabinet.so kyotocabinet-mod.so || true
	-epydoc --name kyotocabinet --no-private --no-sourcecode -o doc -q kyotocabinet.py
	-[ -f kyotocabinet-mod.so ] && mv -f kyotocabinet-mod.so kyotocabinet.so || true
	rm -f kyotocabinet.py


docclean :
	rm -rf doc


.PHONY: all clean install check doc



# END OF FILE

=== debian/changelog ===
python-kyotocabinet (1.22-3) unstable; urgency=medium

  * Team upload

  [ Shawn Landden ]
  * Fix typo in python3-kyotocabinet-dbg description
  * Drop custom compression settings from debian/rules
  * Mark packages Multi-arch: same

  [ Graham Inggs ]
  * Move VCS to DPMT on Salsa (Closes: #735302)
  * Add build dependency on dh-python (Closes: #944944)
  * Drop obsolete DM-Upload-Allowed field
  * Drop ancient X-Python3-Version
  * Remove Priority for python3-kyotocabinet-dbg
  * Switch to debhelper 12
  * Set Rules-Requires-Root: no
  * Remove trailing whitespace from debian/changelog
  * Use HTTPS for upstream URLs
  * Enable all hardening build flags
  * Bump Standards-Version to 4.4.1, no changes

 -- Graham Inggs <ginggs@debian.org>  Fri, 29 Nov 2019 10:20:56 +0000

python-kyotocabinet (1.22-2) unstable; urgency=low

  * Team upload.
  * Update debian/rules to build for all supported python3 versions
    (Closes: #686871)
    - Remove python-kyotocabinet.install, no longer needed
  * Drop unneeded X-Python-Version field from debian/control

 -- Scott Kitterman <scott@kitterman.com>  Sun, 19 May 2013 17:38:55 -0400

python-kyotocabinet (1.22-1) unstable; urgency=low

  * Initial release. (Closes: #676682)

 -- Shawn Landden <shawnlandden@gmail.com>  Sun, 05 Aug 2012 18:31:57 -0700

=== debian/control ===
Source: python-kyotocabinet
Section: devel
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Shawn Landden <shawnlandden@gmail.com>
Build-Depends: debhelper-compat (= 12),
 dh-python,
 python3-all-dev,
 libkyotocabinet-dev,
 pkg-config
# Not building docs, but this software is used if you want to.
#Build-Depends-Indep: python-epydoc (>= 3.0~beta1)
Standards-Version: 4.4.1
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/python-team/modules/python-kyotocabinet.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-kyotocabinet
Homepage: https://fallabs.com/kyotocabinet/

Package: python3-kyotocabinet
Section: python
Architecture: any
Multi-arch: same
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Provides: ${python3:Provides}
Description: Straightforward implementation of DBM - Python 3 bindings
 Kyoto Cabinet is a library of routines for managing a database. The
 database is a simple data file containing records, each is a pair of
 a key and a value. Every key and value is serial bytes with variable
 length. Both binary data and character string can be used as a key and
 a value. Each key must be unique within a database. There is neither
 concept of data tables nor data types. Records are organized in
 hash table or B+ tree.
 .
 This package provides a Python 3 interface to Kyoto Cabinet.

Package: python3-kyotocabinet-dbg
Section: debug
Architecture: any
Multi-arch: same
Depends: python3-dbg,
         python3-kyotocabinet (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends}
Description: Straightforward implementation of DBM - Python 3 debugging symbols
 Kyoto Cabinet is a library of routines for managing a database. The
 database is a simple data file containing records, each is a pair of
 a key and a value. Every key and value is serial bytes with variable
 length. Both binary data and character string can be used as a key and
 a value. Each key must be unique within a database. There is neither
 concept of data tables nor data types. Records are organized in
 hash table or B+ tree.
 .
 This package provides the debugging symbols for the Python 3 interface to
 Kyoto Cabinet.

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --with python3

build3vers := $(shell py3versions -sv)

# Install manually as auto_install doesn't support python3
override_dh_auto_install:
	dh_install -ppython3-kyotocabinet
	set -e && for i in $(build3vers); do \
	  python$$i ./setup.py install --install-layout=deb --root $(CURDIR)/debian/python3-kyotocabinet; \
	done

override_dh_installdocs-arch:
	dh_installdocs --link-doc=python3-kyotocabinet -ppython3-kyotocabinet-dbg
	dh_installdocs --remaining-packages

override_dh_strip:
	dh_strip --package=python3-kyotocabinet --dbg-package=python3-kyotocabinet-dbg

## python-kyotocabinet 1.23

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 
 PACKAGE = kyotocabinet-python
-VERSION = 1.22
+VERSION = 1.23
 PACKAGEDIR = $(PACKAGE)-$(VERSION)
 PACKAGETGZ = $(PACKAGE)-$(VERSION).tar.gz

=== debian/changelog ===
python-kyotocabinet (1.23-5build3) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 18 Oct 2025 13:57:50 +0000

python-kyotocabinet (1.23-5build2) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 23:52:33 +0000

python-kyotocabinet (1.23-5build1) plucky; urgency=medium

  * SRU: #2083480: No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 13 Nov 2024 09:56:35 +0100

python-kyotocabinet (1.23-5) unstable; urgency=medium

  * Add missing dependency on python3-setuptools (Closes: #1080752)

 -- Alexandre Detiste <tchet@debian.org>  Fri, 11 Oct 2024 12:50:04 +0200

python-kyotocabinet (1.23-4) unstable; urgency=medium

  * Team upload.
  * d/p/0004-Fix-python3.12-compatibility-with-integer-division.patch:
    Add patch to make sure that rand() takes integer, not float.
    This fixes the compatibility with Python 3.12.

 -- Boyuan Yang <byang@debian.org>  Wed, 17 Jul 2024 15:39:15 -0400

python-kyotocabinet (1.23-3) unstable; urgency=medium

  * Team upload.
  * Patch: Python 3.10 support. (Closes: #1008736)

 -- Stefano Rivera <stefanor@debian.org>  Fri, 01 Apr 2022 09:19:28 -0400

python-kyotocabinet (1.23-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Update watch file format version to 4.
  * Fix field name case in debian/control (Multi-arch => Multi-Arch).

 -- Boyuan Yang <byang@debian.org>  Wed, 08 Sep 2021 16:58:38 -0400

python-kyotocabinet (1.23-1) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Boyuan Yang ]
  * New upstream version.
  * Rebuild against kyotocabinet 1.2.79.
  * Refresh packaging:
    + Bump Standards-Version to 4.5.1.
    + Bump debhelper compat to v13.
    + Update homepage information.
    + Drop old -dbg package in favor of automatically generated
      dbgsym package.

 -- Boyuan Yang <byang@debian.org>  Tue, 17 Aug 2021 00:51:39 -0400

=== debian/control ===
Source: python-kyotocabinet
Section: devel
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Alexandre Detiste <tchet@debian.org>,
Build-Depends: debhelper-compat (= 13),
 dh-sequence-python3,
 python3-all-dev,
 python3-setuptools,
 libkyotocabinet-dev,
 pkgconf,
# Not building docs, but this software is used if you want to.
#Build-Depends-Indep: python-epydoc (>= 3.0~beta1)
Standards-Version: 4.5.1
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/python-team/packages/python-kyotocabinet.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-kyotocabinet
Homepage: https://dbmx.net/kyotocabinet/

Package: python3-kyotocabinet
Section: python
Architecture: any
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Provides: ${python3:Provides}
Multi-Arch: same
Description: Straightforward implementation of DBM - Python 3 bindings
 Kyoto Cabinet is a library of routines for managing a database. The
 database is a simple data file containing records, each is a pair of
 a key and a value. Every key and value is serial bytes with variable
 length. Both binary data and character string can be used as a key and
 a value. Each key must be unique within a database. There is neither
 concept of data tables nor data types. Records are organized in
 hash table or B+ tree.
 .
 This package provides a Python 3 interface to Kyoto Cabinet.

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

build3vers := $(shell py3versions -sv)

# Install manually as auto_install doesn't support python3
override_dh_auto_install:
	dh_install -ppython3-kyotocabinet
	set -e && for i in $(build3vers); do \
	  python$$i ./setup.py install --install-layout=deb --root $(CURDIR)/debian/python3-kyotocabinet; \
	done

override_dh_strip:
	dh_strip --dbgsym-migration='python3-kyotocabinet-dbg (<< 1.23-1~)'

=== debian/watch ===
version=4
https://dbmx.net/kyotocabinet/pythonpkg/ kyotocabinet-python-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz|lzma)))
